# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LODEvaluator Class Reference

Abstract class to compute the appropriate LOD of an Actor or Effect. More...

`#include <LODEvaluator.hpp>`

Inheritance diagram for vl::LODEvaluator:

List of all members.

## Public Member Functions
| LODEvaluator ()
virtual int | evaluate (Actor *actor, Camera *camera)=0
virtual const char * | className ()
| Returns the name of the class.

## Detailed Description

Abstract class to compute the appropriate LOD of an Actor or Effect.

See also:
  - DistanceLODEvaluator
  - PixelLODEvaluator

## Constructor & Destructor Documentation

vl::LODEvaluator::LODEvaluator | ( |  | ) | `[inline]`

## Member Function Documentation

virtual int vl::LODEvaluator::evaluate | ( | Actor * | actor,
|  | Camera * | camera |
| ) |  |  | `[pure virtual]`

Implemented in vl::DistanceLODEvaluator, and vl::PixelLODEvaluator.

virtual const char* vl::LODEvaluator::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::DistanceLODEvaluator, and vl::PixelLODEvaluator.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/LODEvaluator.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:59 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.